package com.simuwang.manage.service;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.query.ProductPageQuery;
import com.simuwang.base.pojo.vo.IdVO;
import com.simuwang.base.pojo.vo.ProductDataVO;
import com.simuwang.base.pojo.vo.ProductInformationVO;
import com.smppw.common.pojo.ResultVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface ProductService {
    MybatisPage<ProductInformationVO> searchProductList(ProductPageQuery prductPageQuery);

    ResultVo uploadProduct(MultipartFile file);

    ResultVo productDetail(IdVO idVO);

    List<ProductDataVO> selectProuctInformationByIdList(List<Integer> idList);
}
