package com.simuwang.manage.service;

import com.simuwang.base.pojo.vo.CompanyEmailConfigVO;
import com.smppw.common.pojo.ResultVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * FileName: CompanyEmailConfigService
 * Author:   chenjianhua
 * Date:     2024/9/7 12:55
 * Description: ${DESCRIPTION}
 */
public interface CompanyEmailConfigService {

    ResultVo saveCompanyEmailConfig(List<CompanyEmailConfigVO> companyEmailConfigVOS);

    void deleteCompanyEmailConfig(Integer id);

    void updateCompanyEmailConfig(CompanyEmailConfigVO companyEmailConfigVO);

    void sendCompanyEmail(List<Integer> idList);

    void sendEmail(String companyId, String emails);

    void sendDistributeEmail(String companyId, String string);
}
